summaryrefslogtreecommitdiff
path: root/recipes-connectivity/hostapd/hostap-daemon-1.0/init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-connectivity/hostapd/hostap-daemon-1.0/init')
-rw-r--r--recipes-connectivity/hostapd/hostap-daemon-1.0/init43
1 files changed, 43 insertions, 0 deletions
diff --git a/recipes-connectivity/hostapd/hostap-daemon-1.0/init b/recipes-connectivity/hostapd/hostap-daemon-1.0/init
new file mode 100644
index 0000000..a8d622f
--- /dev/null
+++ b/recipes-connectivity/hostapd/hostap-daemon-1.0/init
@@ -0,0 +1,43 @@
+#!/bin/sh
+DAEMON=/usr/sbin/hostapd
+NAME=hostapd
+DESC="HOSTAP Daemon"
+ARGS="/etc/hostapd.conf -B"
+
+test -f $DAEMON || exit 0
+
+[ -f /etc/default/$NAME ] && . /etc/default/$NAME
+
+if [ "$START_ON_BOOT" != "yes" ]; then
+ exit 0
+fi
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon -S -x $DAEMON -- $ARGS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon -K -x $DAEMON
+ echo "$NAME."
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ reload)
+ echo -n "Reloading $DESC: "
+ killall -HUP $(basename ${DAEMON})
+ echo "$NAME."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0